package com.srs.stureg.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.srs.common.annotation.Excel;
import com.srs.common.core.domain.BaseEntity;

/**
 * 入住信息对象 srs_check
 *
 * @author 邓
 * @date 2023-05-20
 */
public class CheckRoom extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 姓名
     */
    @Excel(name = "姓名")
    private String name;

    /**
     * 学号
     */
    @Excel(name = "学号")
    private Long studentId;

    /**
     * 住宿地址
     */
    @Excel(name = "住宿地址")
    private String lodging;

    /**
     * 宿舍楼
     */
    @Excel(name = "宿舍楼")
    private String dormitory;

    /**
     * 房间号
     */
    @Excel(name = "房间号")
    private String room;

    /**
     * 床位号
     */
    @Excel(name = "床位号")
    private String bed;

    /**
     * 宿舍价位
     */
    @Excel(name = "宿舍价位")
    private Long roomLevel;

    /**
     * 宿舍图片
     */
    @Excel(name = "宿舍图片")
    private String roomImg;


    /**
     * 部门状态（0正常
     */
    @Excel(name = "部门状态", readConverterExp = "部门状态（0正常")
    private String status;

    /**
     * 删除标志（0代表存在
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setLodging(String lodging) {
        this.lodging = lodging;
    }

    public String getLodging() {
        return lodging;
    }

    public void setDormitory(String dormitory) {
        this.dormitory = dormitory;
    }

    public String getDormitory() {
        return dormitory;
    }

    public void setRoom(String room) {
        this.room = room;
    }

    public String getRoom() {
        return room;
    }

    public void setBed(String bed) {
        this.bed = bed;
    }

    public String getBed() {
        return bed;
    }

    public void setRoomLevel(Long roomLevel) {
        this.roomLevel = roomLevel;
    }

    public Long getRoomLevel() {
        return roomLevel;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public String getRoomImg() {
        return roomImg;
    }

    public void setRoomImg(String roomImg) {
        this.roomImg = roomImg;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("studentId", getStudentId())
                .append("lodging", getLodging())
                .append("dormitory", getDormitory())
                .append("room", getRoom())
                .append("bed", getBed())
                .append("roomLevel", getRoomLevel())
                .append("roomImg", getRoomImg())
                .append("status", getStatus())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
